Bug 12283 - Set autocomplete=off for patron search input
Summary: Set autocomplete=off for patron search input
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2014-05-19 05:26 UTC by paxed
Modified: 2019-02-01 15:37 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12283: Disable autocomplete for patron search inputs (3.95 KB, patch)
2017-03-21 12:04 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 12283: Disable autocomplete for patron search inputs (4.36 KB, patch)
2018-10-17 19:04 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 12283: Disable autocomplete for patron search inputs (4.42 KB, patch)
2019-01-25 21:43 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 12283: Disable autocomplete for patron search inputs (4.50 KB, patch)
2019-01-26 12:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-05-19 05:26:20 UTC
In a production system, you don't usually search for the same patron over and over, so there's no sense for the browser to save a list of searched patrons in the patron quick search. Therefore, should set autocomplete=off for that input field.
Comment 1 Olli-Antti Kivilahti 2017-03-21 12:04:35 UTC
Created attachment 61374 [details] [review]
Bug 12283: Disable autocomplete for patron search inputs
Comment 2 Katrin Fischer 2017-05-02 18:33:34 UTC
git bz apply 12283
Bug 12283 - Set autocomplete=off for patron search input

61374 - Bug 12283: Disable autocomplete for patron search inputs

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 12283: Disable autocomplete for patron search inputs
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/includes/patron-search.inc).
error: could not build fake ancestor
Patch failed at 0001 Bug 12283: Disable autocomplete for patron search inputs
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-12283-Disable-autocomplete-for-patron-search-i-rhFF_M.patch
Comment 3 M. Tompsett 2018-10-17 19:04:38 UTC
Created attachment 80753 [details] [review]
Bug 12283: Disable autocomplete for patron search inputs

In a production system, you don't usually search for the same
patron over and over, so there's no sense for the browser
to save a list of searched patrons in the patron quick
search. Therefore, should set autocomplete=off for that
input field.
Comment 4 José-Mario Monteiro-Santos 2019-01-25 21:43:50 UTC
Created attachment 84441 [details] [review]
Bug 12283: Disable autocomplete for patron search inputs

In a production system, you don't usually search for the same
patron over and over, so there's no sense for the browser
to save a list of searched patrons in the patron quick
search. Therefore, should set autocomplete=off for that
input field.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 5 Katrin Fischer 2019-01-26 12:35:45 UTC
Created attachment 84444 [details] [review]
Bug 12283: Disable autocomplete for patron search inputs

In a production system, you don't usually search for the same
patron over and over, so there's no sense for the browser
to save a list of searched patrons in the patron quick
search. Therefore, should set autocomplete=off for that
input field.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-31 13:37:06 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 15:37:40 UTC
Enhancement, change of behaviour, will not be backported to 18.11.x series.